# CSVSyntax (ARX GUI Documentation)

org.deidentifier.arx.io

## Class CSVSyntax

- java.lang.Object
- - org.deidentifier.arx.io.CSVSyntax

- All Implemented Interfaces:
    java.io.Serializable

      public class CSVSyntax
      extends java.lang.Object
      implements java.io.Serializable

  Syntax for a CSV file.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `DEFAULT_DELIMITER` Default values.
    `static char` | `DEFAULT_ESCAPE` Default values.
    `static char[]` | `DEFAULT_LINEBREAK` Default values.
    `static char` | `DEFAULT_QUOTE` Default values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVSyntax()` Instantiates a new syntax for a CSV file.
    `CSVSyntax(char delimiter)` Instantiates a new syntax for a CSV file.
    `CSVSyntax(char delimiter, char quote)` Instantiates a new syntax for a CSV file.
    `CSVSyntax(char delimiter, char quote, char escape)` Instantiates a new syntax for a CSV file.
    `CSVSyntax(char delimiter, char quote, char escape, char[] linebreak)` Instantiates a new syntax for a CSV file.
    `CSVSyntax(char delimiter, char quote, char escape, java.lang.String linebreak)` Instantiates a new syntax for a CSV file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getAvailableLinebreaks()` Returns the available line breaks
    `char` | `getDelimiter()` Gets the delimiter.
    `char` | `getEscape()` Gets the escape.
    `static java.lang.String` | `getLabelForLinebreak(char[] linebreak)` Returns a label for a linebreak
    `char[]` | `getLinebreak()` Gets the line break.
    `static char[]` | `getLinebreakForLabel(java.lang.String label)` Returns a linebreak for a label
    `static char` | `getNormalizedLinebreak(char[] linebreak)` Gets the normalized line break character.
    `char` | `getQuote()` Gets the quote.
    `void` | `setDelimiter(char delimiter)` Sets the delimiter.
    `void` | `setEscape(char escape)` Sets the escape.
    `void` | `setLinebreak(char[] linebreak)` Sets the line break.
    `void` | `setLinebreak(java.lang.String linebreak)` Sets the line break.
    `void` | `setQuote(char quote)` Sets the quote.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DELIMITER

          public static final char DEFAULT_DELIMITER

      Default values.
      See Also:
        Constant Field Values

    - #### DEFAULT_QUOTE

          public static final char DEFAULT_QUOTE

      Default values.
      See Also:
        Constant Field Values

    - #### DEFAULT_ESCAPE

          public static final char DEFAULT_ESCAPE

      Default values.
      See Also:
        Constant Field Values

    - #### DEFAULT_LINEBREAK

          public static final char[] DEFAULT_LINEBREAK

      Default values.

  - ### Constructor Detail

    - #### CSVSyntax

          public CSVSyntax()

      Instantiates a new syntax for a CSV file.

    - #### CSVSyntax

          public CSVSyntax(char delimiter)

      Instantiates a new syntax for a CSV file.
      Parameters:
        `delimiter` - the delimiter

    - #### CSVSyntax

          public CSVSyntax(char delimiter,
                   char quote)

      Instantiates a new syntax for a CSV file.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote

    - #### CSVSyntax

          public CSVSyntax(char delimiter,
                   char quote,
                   char escape)

      Instantiates a new syntax for a CSV file.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote
        `escape` - the escape

    - #### CSVSyntax

          public CSVSyntax(char delimiter,
                   char quote,
                   char escape,
                   char[] linebreak)

      Instantiates a new syntax for a CSV file.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote
        `escape` - the escape
        `linebreak` - the line break

    - #### CSVSyntax

          public CSVSyntax(char delimiter,
                   char quote,
                   char escape,
                   java.lang.String linebreak)

      Instantiates a new syntax for a CSV file.
      Parameters:
        `delimiter` - the delimiter
        `quote` - the quote
        `escape` - the escape
        `linebreak` - the line break

  - ### Method Detail

    - #### getAvailableLinebreaks

          public static java.lang.String[] getAvailableLinebreaks()

      Returns the available line breaks
      Returns:

    - #### getLabelForLinebreak

          public static java.lang.String getLabelForLinebreak(char[] linebreak)

      Returns a label for a linebreak
      Parameters:
        `linebreak` -
      Returns:

    - #### getLinebreakForLabel

          public static char[] getLinebreakForLabel(java.lang.String label)

      Returns a linebreak for a label
      Parameters:
        `label` -
      Returns:

    - #### getNormalizedLinebreak

          public static char getNormalizedLinebreak(char[] linebreak)

      Gets the normalized line break character.
      Parameters:
        `linebreak` - the line break
      Returns:
        the normalized line break character

    - #### getDelimiter

          public char getDelimiter()

      Gets the delimiter.
      Returns:
        the delimiter

    - #### getEscape

          public char getEscape()

      Gets the escape.
      Returns:
        the escape

    - #### getLinebreak

          public char[] getLinebreak()

      Gets the line break.
      Returns:
        the line break

    - #### getQuote

          public char getQuote()

      Gets the quote.
      Returns:
        the quote

    - #### setDelimiter

          public void setDelimiter(char delimiter)

      Sets the delimiter.
      Parameters:
        `delimiter` - the new delimiter

    - #### setEscape

          public void setEscape(char escape)

      Sets the escape.
      Parameters:
        `escape` - the new escape

    - #### setLinebreak

          public void setLinebreak(char[] linebreak)

      Sets the line break.
      Parameters:
        `linebreak` - the new line break

    - #### setLinebreak

          public void setLinebreak(java.lang.String linebreak)

      Sets the line break.
      Parameters:
        `linebreak` - the new line break

    - #### setQuote

          public void setQuote(char quote)

      Sets the quote.
      Parameters:
        `quote` - the new quote